import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TextAreaModel } from './textarea.model';
export declare class TextAreaComponent implements ControlValueAccessor, TextAreaModel {
    static readonly defaultProps: TextAreaModel;
    onFocusEmitter: EventEmitter<void>;
    onChangeEmitter: EventEmitter<string>;
    onBlurEmitter: EventEmitter<void>;
    className: string;
    disabled: boolean;
    floatLabel: string;
    hasCounter: boolean;
    id: string;
    maxLength: number;
    minLength: number;
    name: string;
    placeholder: string;
    required: boolean;
    rows: number;
    value: string;
    prefix: string;
    isFocused: boolean;
    constructor();
    onBlur(): void;
    onFocus(): void;
    onChange(event: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    onTextAreaChange(value: string): void;
    onTouched(): void;
}
